/* Kenton CSS fixing code for Romsey mill template */

/* stop images from beign stretched on content pages, max-width is already set at 100%, so this is safe to do */
div.content_article div.ArticleBody img {width:auto;}

/* Black block quote-text boxes */
div.content_article div.ArticleBody blockquote,
body.ArticleEditor blockquote {
  background-color:#3d3e3e;
  color:white;
  font-size:24px;
  font-weight:700;
  text-align:center;
  padding:30px;
  border:none;
  margin:0;
}
div.content_article div.ArticleBody blockquote strong,
body.ArticleEditor blockquote strong {
  color:white;
}
div.content_article div.ArticleBody blockquote p,
body.ArticleEditor blockquote p {
  margin:0;
}

/* Code for showing embedded iframes */
div.content_article div.ArticleBody iframe.Embedded {
  display:block;
  border:none;
  width:100%;
}

div.content_article div.ArticleBody table.WhiteBackground {
	background-color:white;
}

/* make CSS grids have 3 columns */
div.content-shell__main div:has(> div > :is(.articleListTitle, .eventListTitle)) {
	grid-template-columns: repeat(3, minmax(0, 1fr));
}
@media(max-width:767px){
  div.content-shell__main div:has(> div > :is(.articleListTitle, .eventListTitle)) {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}
@media(max-width:467px){
  div.content-shell__main div:has(> div > :is(.articleListTitle, .eventListTitle)) {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }
}
div.content_article div.ArticleBody div.articleListSummary {
  padding-bottom:20px;
  padding-top:0;
}

/* Staff page */
div.content_article div.ArticleBody section.StaffPage .HideElement {display:none!important;}
div.content_article div.ArticleBody section.StaffPage ul.gallery_ul {display:none;}

div.content_article div.ArticleBody section.StaffPage div {cursor:default!important;}
div.content_article div.ArticleBody section.StaffPage div.articleListImage img {
  aspect-ratio:1 / 1 !important;
  margin:0!important;
}